# Class: WpVersion — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: WpVersion

Inherits:
  WpItem
  - Object
  - WpItem
  - WpVersion
  show all
Extended by:
  Findable
Includes:
  Output, Vulnerable
Defined in:
  lib/common/models/wp_version.rb,
  lib/common/models/wp_version/output.rb,
  lib/common/models/wp_version/findable.rb,
  lib/common/models/wp_version/vulnerable.rb

## Defined Under Namespace

Modules: Findable, Output, Vulnerable

## Instance Attribute Summary (collapse)

- - (Object) number

  The version number.

### Attributes inherited from WpItem

#found_from, #name, #path, #version, #wp_content_dir, #wp_plugins_dir

### Attributes included from WpItem::Vulnerable

#vulns_file, #vulns_xpath

## Instance Method Summary (collapse)

- - (Boolean) ==(other)
- - (Array) allowed_options

### Methods included from Findable

find, find_from_advanced_fingerprinting, find_from_atom_generator, find_from_links_opml, find_from_meta_generator, find_from_rdf_generator, find_from_readme, find_from_rss_generator, find_from_sitemap_generator, scan_url, version_pattern

### Methods included from Output

#output

### Methods included from Vulnerable

#vulns_file, #vulns_xpath

### Methods inherited from WpItem

#<=>, #===, #forge_uri, #initialize, #set_options, #uri, #url

### Methods included from WpItem::Output

#output

### Methods included from WpItem::Infos

#changelog_url, #error_log_url, #has_changelog?, #has_directory_listing?, #has_error_log?, #has_readme?, #readme_url, #url_is_200?

### Methods included from WpItem::Existable

#exists?, #exists_from_response?

### Methods included from WpItem::Vulnerable

#vulnerabilities

### Methods included from WpItem::Versionable

#to_s, #version

## Constructor Details

This class inherits a constructor from WpItem

## Instance Attribute Details

### - (`Object`) number

The version number

    14
    15
    16

    # File 'lib/common/models/wp_version.rb', line 14

    def number
      @number
    end

## Instance Method Details

### - (`Boolean`) ==(other)

Parameters:

- other (`WpVersion`)

Returns:

- (`Boolean`)

    22
    23
    24

    # File 'lib/common/models/wp_version.rb', line 22

    def ==(other)
      number == other.number
    end

### - (`Array`) allowed_options

Returns:

- (`Array`)

    17

    # File 'lib/common/models/wp_version.rb', line 17

    def allowed_options; super << :number << :found_from end